de.caff.generics.function

## Interface FloatOperator1

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface FloatOperator1

  Unary operator with a float argument and result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FloatOperator1` | `NEGATE` Standard NEGATE operator (`-`).

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default FloatOperator1` | `andThen(FloatOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `float` | `applyAsFloat(float value)` Apply the function.
    `default FloatOperator0` | `partial(float argument)` Create a zero argument function from this one by applying a constant argument.

- - ### Field Detail

    - #### NEGATE

          static final FloatOperator1 NEGATE

      Standard NEGATE operator (`-`).

  - ### Method Detail

    - #### applyAsFloat

          float applyAsFloat(float value)

      Apply the function.
      Parameters:
        `value` - parameter value of the function
      Returns:
        result of the function

    - #### partial

          @NotNull
          default FloatOperator0 partial(float argument)

      Create a zero argument function from this one by applying a constant argument. Although useless for pure functions it can be useful in cases where the zero argument function is a factory (and therefore not pure).
      Parameters:
        `argument` - constant argument
      Returns:
        zero argument function

    - #### andThen

          @NotNull
          default FloatOperator1 andThen(@NotNull
                                                  FloatOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function